Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Apr 2014, 07:15
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
FBReader: An E-Book reader
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 5 [74 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Author Message
cklammer


Joined: 26 Apr 2008
Posts: 28
Location: Abu Dhabi, United Arab Emirates

PostPosted: Wed 30 Dec 2009, 01:44    Post subject: libgio?  

I installed FBReader 0.12.1 under 4.3.1 and got this abort:
Code:
# FBReader
loading /usr/lib/zlibrary/ui/zlui-gtk.so
/usr/lib/libgio-2.0.so.0: undefined symbol: g_poll


(1) I had libgio-2.20.1-i586.pet (which you need for Scite) installed when I first got the message.
(2) Research here on the forum that libgio-2.20.1-i586.pet is not required for 4.3.1 so I uninstalled it using the Puppy Package Manager.
(3) Scite still worked but the FBReader error stayed the same.
(4) Further research on the forum indicated the existence of another libgio pet here: http://murga-linux.com/puppy/viewtopic.php?t=48301&start=45. The direct download link is: http://murga-linux.com/puppy/viewtopic.php?mode=attach&id=23742&sid=8b87a5b926c2fdca8955fe543f7351f4
(5) After installing said libgio pet both FBReader 0.12.1 and Scite 2.0.1 started without a hitch.

So either I screwed up my libgio installation before or things changed under 4.3.1. Whatever.
Back to top
View user's profile Send private message 
danny0085
Guest


PostPosted: Wed 06 Jan 2010, 02:42    Post subject: recent linux books  

Here you can download recent books (2008,2008,2010) http://tips-linux.net/en/books
Back to top
muggins

Joined: 20 Jan 2006
Posts: 6668
Location: lisbon

PostPosted: Mon 22 Mar 2010, 22:56    Post subject:  

Uploaded v0.12.8.
Back to top
View user's profile Send private message 
sasaqqdan


Joined: 06 Jun 2008
Posts: 39
Location: China,Zhejiang,Hangzhou

PostPosted: Thu 25 Mar 2010, 10:04    Post subject:  

fbreader-0.12.8.pet is qt4-based.
please make another gtk-based.
Back to top
View user's profile Send private message Visit poster's website 
Roy

Joined: 31 Dec 2008
Posts: 442

PostPosted: Thu 25 Mar 2010, 15:41    Post subject:  

Attempted to install this in Boxpup 431 without success.
Code:
# FBReader
loading /usr/lib/zlibrary/ui/zlui-qt4.so
libQtGui.so.4: cannot open shared object file: No such file or directory


Searched for libQtGui.so.4 (which is supposed to be included in qt4-4.3.4-p2.pet), but to no avail; I cannot find the lib or the .pet.

Still, I am thankful for your work on this, Muggins! Thank you.

-Roy
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6668
Location: lisbon

PostPosted: Thu 25 Mar 2010, 19:45    Post subject:  

sasaqqdan:

thanks for reminding me, as I completely forgot about compiling against gtk, and just went ahead & compiled it. Anyway, I've reuploaded it. Just remove the previous version, then install the gtk one.

Roy:

Yes, my bad for compiling it against qt4. Anyway, if you ever encounter that error, for missing libQtGui.so.4 for some other application, it's definitely included in qt4-4.3.2.pet.
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4134

PostPosted: Thu 25 Mar 2010, 23:05    Post subject:  

next version with gtk and static zlibrary and liblinebreak (compiled with gtk-2.18.9 so may or may not have issues on older pups)
fbreader-0.12.9-i486.pet
Description 
pet

 Download 
Filename  fbreader-0.12.9-i486.pet 
Filesize  1.47 MB 
Downloaded  1020 Time(s) 

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Roy

Joined: 31 Dec 2008
Posts: 442

PostPosted: Fri 26 Mar 2010, 06:46    Post subject:  

Thanks, technosaurus.

That did it -- your FBReader works in Boxpup 431. Thank you.

-Roy
Back to top
View user's profile Send private message 
sasaqqdan


Joined: 06 Jun 2008
Posts: 39
Location: China,Zhejiang,Hangzhou

PostPosted: Fri 26 Mar 2010, 08:32    Post subject:  

Thanks very much, technosaurus.
Your pet work fine in puppy stardust.
Back to top
View user's profile Send private message Visit poster's website 
josepinto

Joined: 19 Aug 2006
Posts: 21

PostPosted: Wed 16 Jun 2010, 08:51    Post subject: FBReader updated to 0.12.10  

Hi,

FBReader was updated to 0.12.10.
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4134

PostPosted: Mon 30 Aug 2010, 02:22    Post subject:  

updated to 0.12.10 - a little smaller this time even with liblinebreak compiled in statically
fbreader_NLS-0.12.10-i486.pet
Description  supplemental non-english files and stuff
pet

 Download 
Filename  fbreader_NLS-0.12.10-i486.pet 
Filesize  940.41 KB 
Downloaded  777 Time(s) 
fbreader-0.12.10-i486.pet
Description  Main package - this is all you need for english support
pet

 Download 
Filename  fbreader-0.12.10-i486.pet 
Filesize  567.99 KB 
Downloaded  1016 Time(s) 

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Mon 30 Aug 2010, 10:17    Post subject:  

Dear technosaurus,

Thanks. It works fine in puppy 3.01 and 4.x, so I am happy. Smile

With kind regards,
vovchik
Back to top
View user's profile Send private message 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Mon 30 Aug 2010, 10:18    Post subject:  

Sweet, just in time to make it into the new Puppeee beta.
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4134

PostPosted: Mon 30 Aug 2010, 11:19    Post subject:  

vovchik wrote:
Dear technosaurus,

Thanks. It works fine in puppy 3.01 and 4.x, so I am happy. Smile

With kind regards,
vovchik


Good, I compiled it against the old sqlite headers but linked it with a newer version on the final link because the older sqlite in puppy4x was compiled with a version suffix prior to the .so*, which isn't recognized in any other system automatically, so I wasn't 100% that it would work on other/multiple systems (I think this was done to delineate it for mozilla compiles or something)

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Nooblet0218

Joined: 21 May 2010
Posts: 103

PostPosted: Mon 30 Aug 2010, 11:27    Post subject:  

this may be a stupid question but, can it read djvu files?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 5 [74 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0630s ][ Queries: 13 (0.0065s) ][ GZIP on ]